v5.0
get
/ec-ors-svc/rest/v5.0/studies/{studyId}/{mode}/shipments/{shipmentId}/kits
Retrieves a serialized and non-serialized kit's details by order. Rights: OrsInventoryGet, OrsUnblinded. Added new field: nsKits to the response.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
shipmentId(required): string(uuid)
ID of the shipment.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Query Parameters
-
kitNumber(required): string
Kit/Lot number.
-
orderBy(required): string
Specify the parameter by which the kits are ordered.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ShipmentKitsResponse v5.0
Type:
objectTitle:
ShipmentKitsResponse v5.0Response object containing shipment kits details.
Show Source
-
kitTypes: array
ShipmentKitsResponse.KitTypes
Title:
ShipmentKitsResponse.KitTypesList of kit type summaries. -
shipmentId: string
(uuid)
Shipment ID.
Nested Schema : ShipmentKitsResponse.KitTypes
Type:
arrayTitle:
ShipmentKitsResponse.KitTypesList of kit type summaries.
Show Source
-
Array of:
object ShipmentKitsResponse.KitTypeSummary v5.0
Title:
ShipmentKitsResponse.KitTypeSummary v5.0Kit type summary details object.
Nested Schema : ShipmentKitsResponse.KitTypeSummary v5.0
Type:
objectTitle:
ShipmentKitsResponse.KitTypeSummary v5.0Kit type summary details object.
Show Source
-
description: string
Kit type description.Example:
Non dosing kit -
id: string
(uuid)
Title:
Kit Type IDKit type identifier. -
kits: array
Kits
Title:
KitsList of serialized kits. -
kitTypeName: string
Kit type name.Example:
Kit A -
kitTypeSrcId: string
(uuid)
Title:
Kit Type Source IDKit type ID. -
nsKits: array
Non-Serialized Kits
Title:
Non-Serialized KitsList of non-serialized kits. -
packageTypeId: number
(BigDecimal)
Allowed Values:
[ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ]Package type ID.Example:5 -
packageTypeKey: string
Allowed Values:
[ "BLISTERPACK", "BOTTLE", "DEVICE", "SYRINGE", "OINTMENT", "VIAL", "INHALER", "INFUSION", "BOX", "OTHER" ]Package type key.Example:INHALER -
unitsPerKit: number
(BigDecimal)
Number of units per kit.Example:
5
Nested Schema : Kits
Type:
arrayTitle:
KitsList of serialized kits.
Show Source
-
Array of:
object ShipmentKitsResponse.Kit v5.0
Title:
ShipmentKitsResponse.Kit v5.0Kit details object.
Nested Schema : Non-Serialized Kits
Type:
arrayTitle:
Non-Serialized KitsList of non-serialized kits.
Show Source
-
Array of:
object ShipmentKitsResponse.NonSerialized v5.0
Title:
ShipmentKitsResponse.NonSerialized v5.0Kit details object.
Nested Schema : ShipmentKitsResponse.Kit v5.0
Type:
objectTitle:
ShipmentKitsResponse.Kit v5.0Kit details object.
Show Source
-
barcode: string
Barcode.Example:
Kit A -
depotReturnedUnits: number
(BigDecimal)
Number of units returned to depot.Example:
5 -
id: string
(uuid)
Kit ID.
-
inventoryStatusId: integer
(int32)
Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:
5 -
itemNumber: string
Item number.Example:
ItemNumber0000001 -
kitNumber: number
(BigDecimal)
Kit number.Example:
5 -
kitNumberUTF: string
Kit number with UTF-8 support.Example:
12345 -
materialId: string
Material ID.Example:
MaterialId0000001 -
missingUnits: number
(BigDecimal)
Missing units for the kit.Example:
5 -
returnedUnits: number
(BigDecimal)
Returned units for the kit.Example:
5 -
sequenceNumber: number
(BigDecimal)
Sequence number.Example:
5
Nested Schema : ShipmentKitsResponse.NonSerialized v5.0
Type:
objectTitle:
ShipmentKitsResponse.NonSerialized v5.0Kit details object.
Show Source
-
id: string
(uuid)
Non-serialized kit ID.
-
inventoryStatusId: integer
(int32)
Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:
5 -
lotId: string
(uuid)
Non-serialized lot ID.
-
lotNumber: string
Lot assigned to non-serialized kits.Example:
Lot 1 -
quantity: number
(BigDecimal)
Title:
QuantityKit quantity.Example:1
404 Response
'Invalid study ID', 'Study still in design phase' or 'Invalid shipment ID'
Nested Schema : result
Type:
objectNested Schema : details
Type:
object500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
object